import utilities
from opencapif_sdk import service_discoverer
def showcase_access_token_retrieval_from_capif():
    service_discoverer = service_discoverer(config_file=utilities.get_config_file())
    service_discoverer.discover()


if __name__ == "__main__":
    # The following code assumes that you have already registered the net app to CAPIF.
    # showcase_service_discovery()
    # showcase_retrieve_endpoint_url_from_tsn()
    showcase_access_token_retrieval_from_capif()
    print("COMPLETED")
